signon 8.54

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

Functions
misc.cpp File Reference
`#include "debug.h"`
`#include "misc.h"`
`#include <errno.h>`
`#include <sys/stat.h>`
`#include <QDir>`
Include dependency graph for misc.cpp:

Go to the source code of this file.

## Functions
bool | setUserOwnership (const QString &filePath)
bool | setFilePermissions (const QString &filePath, const QFile::Permissions desiredPermissions, bool keepExisting)

## Function Documentation

bool setFilePermissions | ( | const QString & | filePath,
|  | const QFile::Permissions | desiredPermissions,
|  | bool | keepExisting
| ) |  |

Definition at line 50 of file misc.cpp.

Referenced by PartitionHandler::createPartitionFile().

bool setUserOwnership | ( | const QString & | filePath | ) |

Definition at line 33 of file misc.cpp.

References BLAME.